summaryrefslogtreecommitdiffstats
path: root/development/tclvfs
diff options
context:
space:
mode:
Diffstat (limited to 'development/tclvfs')
-rw-r--r--development/tclvfs/patches/07-vfs.patch22
-rw-r--r--development/tclvfs/tclvfs.SlackBuild21
2 files changed, 33 insertions, 10 deletions
diff --git a/development/tclvfs/patches/07-vfs.patch b/development/tclvfs/patches/07-vfs.patch
new file mode 100644
index 0000000000..42b30eb60d
--- /dev/null
+++ b/development/tclvfs/patches/07-vfs.patch
@@ -0,0 +1,22 @@
+--- tclvfs-1.3-20080503.orig/generic/vfs.c 2006/08/30 19:38:03 1.60
++++ tclvfs-1.3-20080503/generic/vfs.c 2008/10/10 21:57:36 1.61
+@@ -39,6 +39,10 @@
+ #define TCL_GLOB_TYPE_MOUNT (1<<7)
+ #endif
+
++#ifndef CONST86
++#define CONST86
++#endif
++
+ /*
+ * Only the _Init function is exported.
+ */
+@@ -1656,7 +1660,7 @@
+ return returnVal;
+ }
+
+-static CONST char**
++static CONST char * CONST86 *
+ VfsFileAttrStrings(pathPtr, objPtrRef)
+ Tcl_Obj* pathPtr;
+ Tcl_Obj** objPtrRef;
diff --git a/development/tclvfs/tclvfs.SlackBuild b/development/tclvfs/tclvfs.SlackBuild
index f540177160..949e7b48df 100644
--- a/development/tclvfs/tclvfs.SlackBuild
+++ b/development/tclvfs/tclvfs.SlackBuild
@@ -5,8 +5,8 @@
# Written by Zbigniew Baniewski, zb@ispid.com.pl
PRGNAM=tclvfs
-VERSION=20080503
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-0080503}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -45,11 +45,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
cat $CWD/patches/01-configure.patch | patch -p1 || exit
cat $CWD/patches/02-encoding.patch | patch -p1 || exit
@@ -57,10 +57,10 @@ cat $CWD/patches/03-m4.patch | patch -p1 || exit
cat $CWD/patches/04-man.patch | patch -p1 || exit
cat $CWD/patches/05-pkgindex.patch | patch -p1 || exit
cat $CWD/patches/06-zipfix.patch | patch -p1 || exit
+cat $CWD/patches/07-vfs.patch | patch -p1 || exit
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-CPPFLAGS="-I/usr/include/tcl-private/generic" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -68,9 +68,7 @@ CPPFLAGS="-I/usr/include/tcl-private/generic" \
--localstatedir=/var \
--mandir=/usr/man \
--with-tcl=/usr/lib${LIBDIRSUFFIX} \
- --with-tclinclude=/usr/include/tcl-private/generic \
--with-tk=/usr/lib${LIBDIRSUFFIX} \
- --with-tkinclude=/usr/include/tk-private/generic \
--build=$ARCH-slackware-linux
make
@@ -79,6 +77,9 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# Fix Manual page
+mv $PKG/usr/man/mann $PKG/usr/man/man1
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done